/*
 * This file is generated by jOOQ.
 */
package de.ship.db.tables.records;


import de.ship.db.enums.EnumElementrole;
import de.ship.db.enums.EnumRawschema;
import de.ship.db.tables.TCoreElementrole;

import java.time.LocalDateTime;

import org.jooq.Record1;
import org.jooq.impl.UpdatableRecordImpl;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({ "all", "unchecked", "rawtypes" })
public class TCoreElementroleRecord extends UpdatableRecordImpl<TCoreElementroleRecord> {

    private static final long serialVersionUID = 1L;

    /**
     * Setter for <code>common_dd.t_core_elementrole.lastchange</code>.
     */
    public void setLastchange(LocalDateTime value) {
        set(0, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementrole.lastchange</code>.
     */
    public LocalDateTime getLastchange() {
        return (LocalDateTime) get(0);
    }

    /**
     * Setter for <code>common_dd.t_core_elementrole.pk</code>.
     */
    public void setPk(Integer value) {
        set(1, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementrole.pk</code>.
     */
    public Integer getPk() {
        return (Integer) get(1);
    }

    /**
     * Setter for <code>common_dd.t_core_elementrole.fk_element</code>.
     * reference to hierarchy
     */
    public void setFkElement(Integer value) {
        set(2, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementrole.fk_element</code>.
     * reference to hierarchy
     */
    public Integer getFkElement() {
        return (Integer) get(2);
    }

    /**
     * Setter for <code>common_dd.t_core_elementrole.elementrole</code>. role of
     * element
     */
    public void setElementrole(EnumElementrole value) {
        set(3, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementrole.elementrole</code>. role of
     * element
     */
    public EnumElementrole getElementrole() {
        return (EnumElementrole) get(3);
    }

    /**
     * Setter for <code>common_dd.t_core_elementrole.rawschema</code>. rawschema
     * of study of element
     */
    public void setRawschema(EnumRawschema value) {
        set(4, value);
    }

    /**
     * Getter for <code>common_dd.t_core_elementrole.rawschema</code>. rawschema
     * of study of element
     */
    public EnumRawschema getRawschema() {
        return (EnumRawschema) get(4);
    }

    // -------------------------------------------------------------------------
    // Primary key information
    // -------------------------------------------------------------------------

    @Override
    public Record1<Integer> key() {
        return (Record1) super.key();
    }

    // -------------------------------------------------------------------------
    // Constructors
    // -------------------------------------------------------------------------

    /**
     * Create a detached TCoreElementroleRecord
     */
    public TCoreElementroleRecord() {
        super(TCoreElementrole.T_CORE_ELEMENTROLE);
    }

    /**
     * Create a detached, initialised TCoreElementroleRecord
     */
    public TCoreElementroleRecord(LocalDateTime lastchange, Integer pk, Integer fkElement, EnumElementrole elementrole, EnumRawschema rawschema) {
        super(TCoreElementrole.T_CORE_ELEMENTROLE);

        setLastchange(lastchange);
        setPk(pk);
        setFkElement(fkElement);
        setElementrole(elementrole);
        setRawschema(rawschema);
        resetChangedOnNotNull();
    }
}
